Index: GTP/trunk/App/Demos/Illum/Ogre/Media/Demo/towers2.level
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/Media/Demo/towers2.level	(revision 2163)
+++ GTP/trunk/App/Demos/Illum/Ogre/Media/Demo/towers2.level	(revision 2167)
@@ -38,5 +38,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 0 0 1 0 1.284880541 0 0 1 0 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 1.284880541 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -44,5 +44,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -13.92000314 0 1 0 1.284880541 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 1.284880541 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -50,5 +50,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 14.70872379 0 1 0 1.295101289 0 0 1 0 0 0 0 1 
+transformation 1 0 0 22.33504803 0 1 0 1.295101289 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -56,5 +56,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -43.16740455 0 1 0 1.295101289 0 0 1 0.08307168925 0 0 0 1 
+transformation 1 0 0 -35.54108031 0 1 0 1.295101289 0 0 1 43.44269331 0 0 0 1 
 }
 
@@ -62,5 +62,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 29.25318204 0 1 0 1.295101289 0 0 1 0 0 0 0 1 
+transformation 1 0 0 36.87950628 0 1 0 1.295101289 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -68,5 +68,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -28.49980919 0 1 0 1.295101289 0 0 1 0.08307168925 0 0 0 1 
+transformation 1 0 0 -20.87348495 0 1 0 1.295101289 0 0 1 43.44269331 0 0 0 1 
 }
 
@@ -74,5 +74,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -58 0 1 0 1.282641812 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -50.37367576 0 1 0 1.282641812 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -80,5 +80,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 14.70872379 0 1 0 1.295101289 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 22.33504803 0 1 0 1.295101289 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -86,5 +86,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 29.25318204 0 1 0 1.295101289 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 36.87950628 0 1 0 1.295101289 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -92,5 +92,5 @@
 {
 mesh tower_bottomShape
-transformation -1 0 0 43.87660306 0 1 0 1.282641812 0 0 -1 -87.60461528 0 0 0 1 
+transformation -1 0 1.224606354e-016 51.5029273 0 1 0 1.282641812 -1.224606354e-016 0 -1 -44.24499366 0 0 0 1 
 }
 
@@ -98,5 +98,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -28.49980919 0 1 0 1.295101289 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -20.87348495 0 1 0 1.295101289 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -104,5 +104,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -43.16740455 0 1 0 1.295101289 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -35.54108031 0 1 0 1.295101289 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -110,5 +110,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -58 0 1 0 1.282641812 0 0 -1 -87.60461528 0 0 0 1 
+transformation 2.220446049e-016 0 -1 -50.37367576 0 1 0 1.282641812 1 0 2.220446049e-016 -44.24499366 0 0 0 1 
 }
 
@@ -116,5 +116,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 0 0 1 0 1.284880541 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 1.284880541 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -122,5 +122,5 @@
 {
 mesh tower_bottomShape
-transformation 1 0 0 -13.92000314 0 1 0 1.284880541 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 1.284880541 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -128,5 +128,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 1.295101289 -1 0 2.220446049e-016 -29.2862086 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 1.295101289 -1 0 2.220446049e-016 14.07341302 0 0 0 1 
 }
 
@@ -134,5 +134,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 1.295101289 -1 0 2.220446049e-016 -14.61861324 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 1.295101289 -1 0 2.220446049e-016 28.74100838 0 0 0 1 
 }
 
@@ -140,5 +140,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 1.284880541 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 1.284880541 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -146,5 +146,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 1.295101289 -1 0 2.220446049e-016 -58.55751844 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 1.295101289 -1 0 2.220446049e-016 -15.19789682 0 0 0 1 
 }
 
@@ -152,5 +152,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 1.295101289 -1 0 2.220446049e-016 -73.10197669 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 1.295101289 -1 0 2.220446049e-016 -29.74235507 0 0 0 1 
 }
 
@@ -158,5 +158,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 1.295101289 -1 0 2.220446049e-016 -29.2862086 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 1.295101289 -1 0 2.220446049e-016 14.07341302 0 0 0 1 
 }
 
@@ -164,5 +164,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 1.295101289 -1 0 2.220446049e-016 -14.61861324 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 1.295101289 -1 0 2.220446049e-016 28.74100838 0 0 0 1 
 }
 
@@ -170,5 +170,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 1.284880541 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 1.284880541 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -176,5 +176,5 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 1.295101289 -1 0 2.220446049e-016 -58.55751844 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 1.295101289 -1 0 2.220446049e-016 -15.19789682 0 0 0 1 
 }
 
@@ -182,5 +182,11 @@
 {
 mesh tower_bottomShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 1.295101289 -1 0 2.220446049e-016 -73.10197669 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 1.295101289 -1 0 2.220446049e-016 -29.74235507 0 0 0 1 
+}
+
+entity tower_bottom31
+{
+mesh tower_bottomShape
+transformation 2.220446049e-016 0 1 51.36232424 0 1 0 1.295101289 -1 0 2.220446049e-016 43.35962162 0 0 0 1 
 }
 
@@ -188,5 +194,5 @@
 {
 mesh tower_middleShape
-transformation 1 0 0 0 0 1 0 4.694459108 0 0 1 0 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 4.694459108 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -194,5 +200,5 @@
 {
 mesh tower_middleShape
-transformation 1 0 0 -13.92000314 0 1 0 4.694459108 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 4.694459108 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -200,5 +206,5 @@
 {
 mesh tower_middleShape
-transformation 1 0 0 -13.92000314 0 1 0 4.694459108 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 4.694459108 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -206,5 +212,5 @@
 {
 mesh tower_middleShape
-transformation 1 0 0 0 0 1 0 4.694459108 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 4.694459108 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -212,5 +218,5 @@
 {
 mesh tower_middleShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 4.694459108 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 4.694459108 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -218,5 +224,5 @@
 {
 mesh tower_middleShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 4.694459108 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 4.694459108 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -224,5 +230,5 @@
 {
 mesh GateTowerTopShape
-transformation 1 0 0 0 0 1 0 7.818435458 0 0 1 0 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 7.818435458 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -230,5 +236,5 @@
 {
 mesh GateTowerTopShape
-transformation 1 0 0 -13.92000314 0 1 0 7.818435458 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 7.818435458 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -236,5 +242,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 14.70586778 0 1 0 4.823943062 0 0 1 0 0 0 0 1 
+transformation 1 0 0 22.33219202 0 1 0 4.823943062 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -242,5 +248,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 -43.17026055 0 1 0 4.823943062 0 0 1 0.08307168925 0 0 0 1 
+transformation 1 0 0 -35.54393632 0 1 0 4.823943062 0 0 1 43.44269331 0 0 0 1 
 }
 
@@ -248,5 +254,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 29.25032603 0 1 0 4.823943062 0 0 1 0 0 0 0 1 
+transformation 1 0 0 36.87665027 0 1 0 4.823943062 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -254,5 +260,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 -28.5026652 0 1 0 4.823943062 0 0 1 0.08307168925 0 0 0 1 
+transformation 1 0 0 -20.87634096 0 1 0 4.823943062 0 0 1 43.44269331 0 0 0 1 
 }
 
@@ -260,5 +266,5 @@
 {
 mesh CornerTowerTopShape
-transformation 1 0 0 -58 0 1 0 4.823943062 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -50.37367576 0 1 0 4.823943062 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -266,5 +272,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 14.70586778 0 1 0 4.823943062 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 22.33219202 0 1 0 4.823943062 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -272,5 +278,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 29.25032603 0 1 0 4.823943062 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 36.87665027 0 1 0 4.823943062 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -278,5 +284,5 @@
 {
 mesh CornerTowerTopShape
-transformation -1 0 0 43.87660306 0 1 0 4.823943062 0 0 -1 -87.60461528 0 0 0 1 
+transformation -1 0 1.224606354e-016 51.5029273 0 1 0 4.823943062 -1.224606354e-016 0 -1 -44.24499366 0 0 0 1 
 }
 
@@ -284,5 +290,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 -28.5026652 0 1 0 4.823943062 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -20.87634096 0 1 0 4.823943062 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -290,5 +296,5 @@
 {
 mesh TowerTopShape
-transformation 1 0 0 -43.17026055 0 1 0 4.823943062 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -35.54393632 0 1 0 4.823943062 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -296,5 +302,5 @@
 {
 mesh CornerTowerTopShape
-transformation 1 0 0 -58 0 1 0 4.823943062 0 0 -1 -87.60461528 0 0 0 1 
+transformation 2.220446049e-016 0 -1 -50.37367576 0 1 0 4.823943062 1 0 2.220446049e-016 -44.24499366 0 0 0 1 
 }
 
@@ -302,5 +308,5 @@
 {
 mesh GateTowerTopShape
-transformation 1 0 0 -13.92000314 0 1 0 7.818435458 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -6.293678906 0 1 0 7.818435458 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -308,5 +314,5 @@
 {
 mesh GateTowerTopShape
-transformation 1 0 0 0 0 1 0 7.818435458 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 7.626324237 0 1 0 7.818435458 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -314,5 +320,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 4.823943062 -1 0 2.220446049e-016 -29.2833526 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 4.823943062 -1 0 2.220446049e-016 14.07626902 0 0 0 1 
 }
 
@@ -320,5 +326,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 4.823943062 -1 0 2.220446049e-016 -14.61575724 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 4.823943062 -1 0 2.220446049e-016 28.74386438 0 0 0 1 
 }
 
@@ -326,5 +332,5 @@
 {
 mesh GateTowerTopShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 7.818435458 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 7.818435458 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -332,5 +338,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 4.823943062 -1 0 2.220446049e-016 -58.55466243 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 4.823943062 -1 0 2.220446049e-016 -15.19504081 0 0 0 1 
 }
 
@@ -338,5 +344,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 4.823943062 -1 0 2.220446049e-016 -73.09912069 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 4.823943062 -1 0 2.220446049e-016 -29.73949906 0 0 0 1 
 }
 
@@ -344,5 +350,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 4.823943062 -1 0 2.220446049e-016 -29.2833526 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 4.823943062 -1 0 2.220446049e-016 14.07626902 0 0 0 1 
 }
 
@@ -350,5 +356,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 4.823943062 -1 0 2.220446049e-016 -14.61575724 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 4.823943062 -1 0 2.220446049e-016 28.74386438 0 0 0 1 
 }
 
@@ -356,5 +362,5 @@
 {
 mesh GateTowerTopShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 7.818435458 -1 0 2.220446049e-016 -43.86601465 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 7.818435458 -1 0 2.220446049e-016 -0.5063930283 0 0 0 1 
 }
 
@@ -362,5 +368,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 4.823943062 -1 0 2.220446049e-016 -58.55466243 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 4.823943062 -1 0 2.220446049e-016 -15.19504081 0 0 0 1 
 }
 
@@ -368,5 +374,5 @@
 {
 mesh TowerTopShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 4.823943062 -1 0 2.220446049e-016 -73.09912069 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 4.823943062 -1 0 2.220446049e-016 -29.73949906 0 0 0 1 
 }
 
@@ -374,5 +380,5 @@
 {
 mesh CornerTowerTopShape
-transformation -1 0 0 43.73576886 0 1 0 4.823943062 0 0 1 0 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.36232424 0 1 0 4.823943062 -1 0 2.220446049e-016 43.35962162 0 0 0 1 
 }
 
@@ -380,5 +386,5 @@
 {
 mesh wallShape
-transformation 1 0 0 7.377883055 0 1 0 3.228523464 0 0 1 0 0 0 0 1 
+transformation 1 0 0 15.00420729 0 1 0 3.228523464 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -386,5 +392,5 @@
 {
 mesh wallShape
-transformation 1 0 0 22.05908063 0 1 0 3.228523464 0 0 1 0 0 0 0 1 
+transformation 1 0 0 29.68540487 0 1 0 3.228523464 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -392,5 +398,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -21.19770205 0 1 0 3.228523464 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -13.57137781 0 1 0 3.228523464 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -398,5 +404,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -35.86529741 0 1 0 3.228523464 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -28.23897317 0 1 0 3.228523464 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -404,5 +410,5 @@
 {
 mesh wallShape
-transformation -1 0 -1.224606354e-016 36.57624374 0 1 0 3.228523464 -1.224606354e-016 0 1 0 0 0 0 1 
+transformation -1 0 -1.224606354e-016 44.20256798 0 1 0 3.228523464 -1.224606354e-016 0 1 43.35962162 0 0 0 1 
 }
 
@@ -410,5 +416,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -50.61733818 0 1 0 3.228523464 0 0 1 0 0 0 0 1 
+transformation 1 0 0 -42.99101394 0 1 0 3.228523464 0 0 1 43.35962162 0 0 0 1 
 }
 
@@ -416,5 +422,5 @@
 {
 mesh wallShape
-transformation 1 0 0 7.377883055 0 1 0 3.228523464 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 15.00420729 0 1 0 3.228523464 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -422,5 +428,5 @@
 {
 mesh wallShape
-transformation 1 0 0 22.05908063 0 1 0 3.228523464 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 29.68540487 0 1 0 3.228523464 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -428,5 +434,5 @@
 {
 mesh wallShape
-transformation -1 0 -1.224606354e-016 36.57624374 0 1 0 3.228523464 -1.224606354e-016 0 1 -87.60461528 0 0 0 1 
+transformation -1 0 -1.224606354e-016 44.20256798 0 1 0 3.228523464 -1.224606354e-016 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -434,5 +440,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -21.19770205 0 1 0 3.228523464 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -13.57137781 0 1 0 3.228523464 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -440,5 +446,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -35.86529741 0 1 0 3.228523464 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -28.23897317 0 1 0 3.228523464 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -446,5 +452,5 @@
 {
 mesh wallShape
-transformation 1 0 0 -50.61733818 0 1 0 3.228523464 0 0 1 -87.60461528 0 0 0 1 
+transformation 1 0 0 -42.99101394 0 1 0 3.228523464 0 0 1 -44.24499366 0 0 0 1 
 }
 
@@ -452,5 +458,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 3.228523464 -1 0 2.220446049e-016 -36.58831574 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 3.228523464 -1 0 2.220446049e-016 6.771305879 0 0 0 1 
 }
 
@@ -458,5 +464,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 3.228523464 -1 0 2.220446049e-016 -21.92072038 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 3.228523464 -1 0 2.220446049e-016 21.43890124 0 0 0 1 
 }
 
@@ -464,5 +470,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.91339903 0 1 0 3.228523464 -1 0 2.220446049e-016 -7.168679617 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.2870748 0 1 0 3.228523464 -1 0 2.220446049e-016 36.190942 0 0 0 1 
 }
 
@@ -470,5 +476,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 3.228523464 -1 0 2.220446049e-016 -51.22667771 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 3.228523464 -1 0 2.220446049e-016 -7.867056085 0 0 0 1 
 }
 
@@ -476,5 +482,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 3.228523464 -1 0 2.220446049e-016 -65.90787528 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 3.228523464 -1 0 2.220446049e-016 -22.54825366 0 0 0 1 
 }
 
@@ -482,5 +488,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 3.228523464 -1 0 2.220446049e-016 -36.58831574 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 3.228523464 -1 0 2.220446049e-016 6.771305879 0 0 0 1 
 }
 
@@ -488,5 +494,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 3.228523464 -1 0 2.220446049e-016 -21.92072038 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 3.228523464 -1 0 2.220446049e-016 21.43890124 0 0 0 1 
 }
 
@@ -494,5 +500,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.83908277 0 1 0 3.228523464 -1 0 2.220446049e-016 -7.168679617 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.465407 0 1 0 3.228523464 -1 0 2.220446049e-016 36.190942 0 0 0 1 
 }
 
@@ -500,5 +506,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 3.228523464 -1 0 2.220446049e-016 -51.22667771 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 3.228523464 -1 0 2.220446049e-016 -7.867056085 0 0 0 1 
 }
 
@@ -506,5 +512,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 3.228523464 -1 0 2.220446049e-016 -65.90787528 0 0 0 1 
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 3.228523464 -1 0 2.220446049e-016 -22.54825366 0 0 0 1 
 }
 
@@ -512,5 +518,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 -57.92516697 0 1 0 3.228523464 -1 0 2.220446049e-016 -80.44949908 0 0 0 1 
+transformation 2.220446049e-016 0 1 -50.29884273 0 1 0 3.228523464 -1 0 2.220446049e-016 -37.08987746 0 0 0 1 
 }
 
@@ -518,5 +524,5 @@
 {
 mesh wallShape
-transformation 2.220446049e-016 0 1 43.82731483 0 1 0 3.228523464 -1 0 2.220446049e-016 -80.44949908 0 0 0 1 
-}
-
+transformation 2.220446049e-016 0 1 51.45363907 0 1 0 3.228523464 -1 0 2.220446049e-016 -37.08987746 0 0 0 1 
+}
+
Index: GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2163)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/PRMDemo/include/PRMDemo.h	(revision 2167)
@@ -90,5 +90,5 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
 	}
 
Index: GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2163)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/CausticTest/include/CausticTest.h	(revision 2167)
@@ -149,5 +149,5 @@
 	void chooseSceneManager()
 	{
-		mSceneMgr = mRoot->createSceneManager("OcclusionCullingSceneManager");
+		mSceneMgr = mRoot->createSceneManager("OctreeSceneManager");
 	}
 
@@ -180,6 +180,6 @@
 	void createScene(void)
     {
-		std::string terrain_cfg("terrainCulling.cfg");
-		mSceneMgr->setWorldGeometry(terrain_cfg);
+	//	std::string terrain_cfg("terrainCulling.cfg");
+	//	mSceneMgr->setWorldGeometry(terrain_cfg);
 		//createPostproc();
 		OgreIlluminationManager::getSingleton().setBlurShadowMap(true);
@@ -235,5 +235,5 @@
 		mainLightNode->attachObject(bbs);
 
-		Root::getSingleton().renderOneFrame();
+		//Root::getSingleton().renderOneFrame();
 		//mSceneMgr->_updateSceneGraph(mCamera);
 		
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg	(revision 2163)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Release/ogre.cfg	(revision 2167)
@@ -6,5 +6,5 @@
 Floating-point mode=Fastest
 Full Screen=No
-Rendering Device=NVIDIA GeForce 6800 GT
+Rendering Device=NVIDIA GeForce 7950 GX2
 VSync=No
 Video Mode=800 x 600 @ 32-bit colour
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg	(revision 2156)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/Plugins.cfg	(revision 2167)
@@ -8,5 +8,5 @@
 Plugin=Plugin_ParticleFX
 Plugin=Plugin_BSPSceneManager
-#Plugin=Plugin_OctreeSceneManager
+Plugin=Plugin_OctreeSceneManager
 Plugin=Plugin_CgProgramManager
 Plugin=Plugin_VisibilitySceneManager
Index: GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg	(revision 2163)
+++ GTP/trunk/App/Demos/Illum/Ogre/bin/Debug/ogre.cfg	(revision 2167)
@@ -6,5 +6,5 @@
 Floating-point mode=Fastest
 Full Screen=No
-Rendering Device=NVIDIA GeForce 6800 GT
+Rendering Device=NVIDIA GeForce 7950 GX2
 VSync=No
 Video Mode=800 x 600 @ 32-bit colour
